#ifndef TARANTOOL_CONFIG_H_INCLUDED
#define TARANTOOL_CONFIG_H_INCLUDED
/*
 * This file is generated by CMake. The original file is called
 * config.h.cmake. Please do not modify.
 */
/*
 * A string with major-minor-patch-commit-id identifier of the
 * release.
 */
#define PACKAGE_VERSION "1.5.3-102-g2857a4e"
#define PACKAGE "Tarantool"
/*  Defined if building for Linux */
/* #undef TARGET_OS_LINUX */
/*  Defined if building for FreeBSD */
#define TARGET_OS_FREEBSD 1
/*  Defined if building for Darwin */
/* #undef TARGET_OS_DARWIN */
/*
 * Defined if gcov instrumentation should be enabled.
 */
/* #undef ENABLE_GCOV */
/*
 * Defined if configured with ENABLE_TRACE (debug trace into
 * a file specified by TRANTOOL_TRACE environment variable.
 */
#define ENABLE_TRACE 1
/*
 * Defined if configured with ENABLE_BACKTRACE ('show fiber'
 * showing fiber call stack.
 */
/* #undef ENABLE_BACKTRACE */
/*
 * Set if the system has bfd.h header and GNU bfd library.
 */
/* #undef HAVE_BFD */
#define HAVE_MAP_ANON 1
#define HAVE_MAP_ANONYMOUS 1
#if !defined(HAVE_MAP_ANONYMOUS) && defined(HAVE_MAP_ANON)
/*
 * MAP_ANON is deprecated, MAP_ANONYMOUS should be used instead.
 * Unfortunately, it's not universally present (e.g. not present
 * on FreeBSD.
 */
#define MAP_ANONYMOUS MAP_ANON
#endif
/*
 * Defined if O_DSYNC mode exists for open(2).
 */
/* #undef HAVE_O_DSYNC */
#if defined(HAVE_O_DSYNC)
    #define WAL_SYNC_FLAG O_DSYNC
#else
    #define WAL_SYNC_FLAG O_SYNC
#endif
/*
 * Defined if fdatasync(2) call is present.
 */
/* #undef HAVE_FDATASYNC */

#ifndef HAVE_FDATASYNC
	#define fdatasync fsync
#endif

/*
 * Defined if this platform has BSD specific funopen()
 */
#define HAVE_FUNOPEN 1

/*
 * Defined if this platform has GNU specific memmem().
 */
#define HAVE_MEMMEM 1
/*
 * Defined if this platform has GNU specific memrchr().
 */
#define HAVE_MEMRCHR 1
/*
 * Set if this is a GNU system and libc has __libc_stack_end.
 */
/* #undef HAVE_LIBC_STACK_END */
/*
 * Defined if this is a big-endian system.
 */
/* #undef HAVE_BYTE_ORDER_BIG_ENDIAN */
/*
 * Defined if this platform supports openmp and it is enabled
 */
/* #undef HAVE_OPENMP */

/*
 * Set if compiler has __builtin_XXX methods.
 */
#define HAVE_BUILTIN_CTZ 1
#define HAVE_BUILTIN_CTZLL 1
#define HAVE_BUILTIN_CLZ 1
#define HAVE_BUILTIN_CLZLL 1
#define HAVE_BUILTIN_POPCOUNT 1
#define HAVE_BUILTIN_POPCOUNTLL 1
#define HAVE_BUILTIN_BSWAP32 1
#define HAVE_BUILTIN_BSWAP64 1
/* #undef HAVE_FFSL */
/* #undef HAVE_FFSLL */

/*
 * pthread have problems with -std=c99
 */
/* #undef HAVE_NON_C99_PTHREAD_H */

#define ENABLE_BUNDLED_LIBEV 1
#define ENABLE_BUNDLED_LIBEIO 1
#define ENABLE_BUNDLED_LIBCORO 1


/* #undef HAVE_PRCTL_H */

/*
 * predefined /etc directory prefix.
 */
#define SYSCONF_DIR "/usr/local/etc/tarantool"
#define INSTALL_PREFIX "/usr/local"
#define BUILD_TYPE "Rel"
#define BUILD_INFO "FreeBSD-amd64-Rel"
#define BUILD_OPTIONS "cmake . -DCMAKE_INSTALL_PREFIX=/usr/local -DENABLE_STATIC=OFF -DENABLE_TRACE=ON -DENABLE_BACKTRACE=OFF -DENABLE_CLIENT=true"
#define COMPILER_INFO "/usr/local/bin/clang33 /usr/local/bin/clang++33"
#define TARANTOOL_C_FLAGS "-O2 -pipe -fno-strict-aliasing -fno-omit-frame-pointer -fno-stack-protector -fexceptions -funwind-tables -std=c11 -Wall -Wextra -Wno-sign-compare -Wno-strict-aliasing"
#define TARANTOOL_CXX_FLAGS "-O2 -pipe -fno-strict-aliasing -fno-omit-frame-pointer -fno-stack-protector -fexceptions -funwind-tables -std=c++11 -fno-rtti -Wall -Wextra -Wno-sign-compare -Wno-strict-aliasing"

/*
 * Modules
 */
#define MODULE_LIBDIR "/usr/local/lib/tarantool"
#define MODULE_LUADIR "/usr/local/share/tarantool"
#define MODULE_INCLUDEDIR "/usr/local/include/tarantool"
#define MODULE_LUAPATH "/usr/local/share/tarantool/?.lua;/usr/local/share/tarantool/?/init.lua"
#define MODULE_LIBPATH "/usr/local/lib/tarantool/?.so"

/*
 * vim: syntax=c
 */
#endif /* TARANTOOL_CONFIG_H_INCLUDED */
